attribute vec2 tex1;
varying vec2 texCoord;
varying vec3 eye;
uniform float anim;
varying vec3 eyeSC;
void main()
{

 texCoord = tex1;
 mat4 mod = gl_ModelViewMatrix;
 /*mod[0] = vec4(1.0,0.0,0.0,0.0);
 mod[1] = vec4(0.0,1.0,0.0,0.0);
 mod[2] = vec4(0.0,0.0,1.0,0.0);//*/
 
 /*mod[0] *=0.8; 
 mod[1] *=0.8;
 mod[2] *=0.2; */
 vec4 vert = gl_Vertex;
 float limit =vert.y - 5500.0;
 float plusser =anim - limit*floor(anim/limit);// modulo(anim,1500.0);
 vert.y -=plusser;
 eye = (mod*vert).xyz;
 eyeSC = (gl_ProjectionMatrix*mod*vert).xyz;

 gl_Position = gl_ProjectionMatrix*mod*vert;//ftransform();
 eyeSC.xyz/=gl_Position.w;

}